import request from '@/utils/request'

// 查询列表
export function listCla(query) {
  return request({
    url: '/api/sc/course/cla/list/searchList',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getCla(claId) {
  return request({
    url: '/api/sc/course/cla/info/detailById/' + claId,
    method: 'get'
  })
}

// 查询详细
export function allDetailInfoById(claId) {
  return request({
    url: '/api/sc/course/cla/info/allDetailInfoById/' + claId,
    method: 'get'
  })
}

// 新增
export function addCla(data) {
  return request({
    url: '/api/sc/course/cla/add/addScCourseCla',
    method: 'post',
    data: data
  })
}

// 修改
export function updateCla(data) {
  return request({
    url: '/api/sc/course/cla/update/updateScCourseCla',
    method: 'put',
    data: data
  })
}

// 删除
export function delCla(claId) {
  return request({
    url: '/api/sc/course/cla/delete/deleteById/' + claId,
    method: 'delete'
  })
}




